Zum Hauptinhalt springen

Get all SSH users for a Project

GET/v2/projects/{projectId}/ssh-users
API-Version
v2
Request-Methode
GET
Operation-ID
ssh-user-list-ssh-users

Request​

  • projectIdstringrequired

    ID of the Project to retrieve SSHUsers for.

Responses​

Response-Header
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

OK

  • Array[

    A representation of an SSHUser.

    • *object

      A representation of an SSHUser.

      • activeboolean
      • authUpdatedAtstring (date-time)required
      • createdAtstring (date-time)required
      • descriptionstringrequired
      • detailedPublicKeysArray von object
        • Array[

          A representation of an ssh-public-key, enriched with information derived from the key.

          • *object

            A representation of an ssh-public-key, enriched with information derived from the key.

            • algorithmstring

              Absent if the key cannot be parsed.

            • commentstringrequired
            • fingerprintstring

              SHA256 fingerprint in OpenSSH format, as printed by ssh-keygen -l. Absent if the key cannot be parsed.

            • keystringrequired
          ]
      • expiresAtstring (date-time)
      • hasPasswordbooleanrequired
      • idstringrequired
      • projectIdstringrequired
      • publicKeysArray von objectdeprecated

        deprecated by detailedPublicKeys

        • Array[

          A representation of an ssh-public-key.

          • *object

            A representation of an ssh-public-key.

            • commentstringrequired
            • keystringrequired
          ]
      • updatedAtstring (date-time)
      • userNamestringrequired
    ]
Content-Type: application/json

[
{
"active": true,
"authUpdatedAt": "1985-10-26T01:21:00.000Z",
"createdAt": "1985-10-26T01:21:00.000Z",
"description": "string",
"detailedPublicKeys": [
{
"algorithm": "ssh-ed25519",
"comment": "string",
"fingerprint": "SHA256:uNiVztksCsDhcc0u9e8BujQXVUpKZIDTMczCvj3tD2s",
"key": "string"
}
],
"expiresAt": "1985-10-26T01:21:00.000Z",
"hasPassword": true,
"id": "string",
"projectId": "string",
"updatedAt": "1985-10-26T01:21:00.000Z",
"userName": "string"
}
]
{
"items": {
"description": "A representation of an SSHUser.",
"properties": {
"active": {
"type": "boolean"
},
"authUpdatedAt": {
"format": "date-time",
"type": "string"
},
"createdAt": {
"format": "date-time",
"type": "string"
},
"description": {
"type": "string"
},
"detailedPublicKeys": {
"items": {
"description": "A representation of an ssh-public-key, enriched with information derived from the key.",
"properties": {
"algorithm": {
"description": "Absent if the key cannot be parsed.",
"example": "ssh-ed25519",
"type": "string"
},
"comment": {
"type": "string"
},
"fingerprint": {
"description": "SHA256 fingerprint in OpenSSH format, as printed by `ssh-keygen -l`. Absent if the key cannot be parsed.",
"example": "SHA256:uNiVztksCsDhcc0u9e8BujQXVUpKZIDTMczCvj3tD2s",
"type": "string"
},
"key": {
"type": "string"
}
},
"required": [
"comment",
"key"
],
"type": "object"
},
"type": "array"
},
"expiresAt": {
"format": "date-time",
"type": "string"
},
"hasPassword": {
"type": "boolean"
},
"id": {
"type": "string"
},
"projectId": {
"type": "string"
},
"publicKeys": {
"deprecated": true,
"description": "deprecated by detailedPublicKeys",
"items": {
"description": "A representation of an ssh-public-key.",
"properties": {
"comment": {
"type": "string"
},
"key": {
"type": "string"
}
},
"required": [
"comment",
"key"
],
"type": "object"
},
"type": "array"
},
"updatedAt": {
"format": "date-time",
"type": "string"
},
"userName": {
"type": "string"
}
},
"required": [
"id",
"projectId",
"description",
"userName",
"createdAt",
"authUpdatedAt",
"hasPassword"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/ssh-users?limit=50&page=1
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.sshsftpUser.sshUserListSshUsers({
"projectId": "string",
"queryParameters": {
"limit": 50,
"page": 1
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\SSHSFTPUser\SshUserListSshUsers\SshUserListSshUsersRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new SshUserListSshUsersRequest(
projectId: "string"
))
->withLimit(50)
->withPage(1);
$response = $client->sshsftpUser()->sshUserListSshUsers($request);

var_dump($response->getBody();

Auf dieser Seite